---
title: Add a participant
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api)

[Realtime Kit](https://developers.cloudflare.com/api/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Add a participant

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants

Adds a participant to the given meeting ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### P ath ParametersExpand Collapse

account\_id: string

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meeting\_id: string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

##### Body ParametersJSONExpand Collapse

custom\_participant\_id: string

A unique participant ID. You must specify a unique ID for the participant, for example, UUID, email address, and so on.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%200%20%3E%20(param)%20custom_participant_id%20%3E%20(schema)>)

preset\_name: string

Name of the preset to apply to this participant.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%200%20%3E%20(param)%20preset_name%20%3E%20(schema)>)

name: optional string

(Optional) Name of the participant.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%200%20%3E%20(param)%20name%20%3E%20(schema)>)

picture: optional string

(Optional) A URL to a picture to be used for the participant.

formaturi

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%200%20%3E%20(param)%20picture%20%3E%20(schema)>)

##### ReturnsExpand Collapse

success: boolean

Success status of the operation

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20success>)

<details>

<summary>

data: optional object {id, token, created\_at, 5 more }

Represents a participant.

</summary>

id: string

ID of the participant.

formatuuid

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

token: string

The participant’s auth token that can be used for joining a meeting from the client side.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20token">Link to this property</a>

created\_at: string

When this object was created. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

custom\_participant\_id: string

A unique participant ID generated by the client.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20custom_participant_id">Link to this property</a>

preset\_name: string

Preset applied to the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20preset_name">Link to this property</a>

updated\_at: string

When this object was updated. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

name: optional string

Name of the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20name">Link to this property</a>

picture: optional string

URL to a picture of the participant.

formaturi

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20picture">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_add_participant_response%20%3E%20(schema)%20%3E%20(property)%20data>)

### Add a participant

HTTP

HTTPTypeScriptPythonGoTerraform

```
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/participants \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "custom_participant_id": "custom_participant_id",
          "preset_name": "preset_name",
          "name": "Mary Sue",
          "picture": "https://i.imgur.com/test.jpg"
        }'
```

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
```